LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XConnectionBroadcaster Interface Referencepublished

allows to add listeners to a connection. More...

`import"XConnectionBroadcaster.idl";`

Inheritance diagram for XConnectionBroadcaster:

## Public Member Functions
void | addStreamListener ([in] com::sun::star::io::XStreamListener aListener)
| registers an object to receive events from this connection. More...
void | removeStreamListener ([in] com::sun::star::io::XStreamListener aListener)
| unregisters an object to receive events from this connection. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to add listeners to a connection.

Maybe supported by connections returned from XAcceptor::accept() or XConnector::connect().

## Member Function Documentation

## ◆ addStreamListener()

void addStreamListener | ( | [in] com::sun::star::io::XStreamListener | aListener | ) |

registers an object to receive events from this connection.

It is suggested to allow multiple registration of the same listener, thus for each time a listener is added, it has to be removed.

## ◆ removeStreamListener()

void removeStreamListener | ( | [in] com::sun::star::io::XStreamListener | aListener | ) |

unregisters an object to receive events from this connection.

It is suggested to allow multiple registration of the same listener, thus for each time a listener is added, it has to be removed.

The documentation for this interface was generated from the following file:

- com/sun/star/connection/XConnectionBroadcaster.idl